
QGIS Application - Bug report #19996

edit vertex tool act on polygon layer during edit a point geometry

2018-10-02 01:38 PM - Antonio Viscomi

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27818

Description

Hi all,

I've two layers in start editing (a point layer and a polygon layer)...

well when I edit the point layer (active layer) 

the vertex tool snap also to polygon vertex (inactive)

and make able to reshape it, 

this behavior causing a short freeze on qgis

History

#1 - 2018-10-03 09:50 AM - Antonio Viscomi

Antonio Viscomi wrote:

Hi all,

I've two layers in start editing (a point layer and a polygon layer)...

well when I edit the point layer (active layer) 

the vertex tool snap also to polygon vertex (inactive)

and make able to reshape it, 

this behavior causing a short freeze on qgis

this freeze appear when I try to select the polygon layer, in TOC, before I edit It while point layer were selected and in start editing 

It seems that new edit tools do not recognize the real geometry type of active layers and confuse all geometry type of layer in start editing

#2 - 2018-10-03 03:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

I cannot replicate but also I'm not really sure HOW replicate.

A project+data would really help, also a screencast would really help too.

#3 - 2018-10-03 05:57 PM - Antonio Viscomi

- File data.7z added

- Status changed from Feedback to Open
Giovanni Manghi wrote:

I cannot replicate but also I'm not really sure HOW replicate.

A project+data would really help, also a screencast would really help too.

I try to explain how to replicate:

-load a poin layer and a polygon layer;

-start editing in both point and polygon layer;

-make point layer active (select it on TOC);

-choose vertex editor on edit toolbar;

-then try to edit polygon vertex (near or around) a point feature... 

if editing on polygon vertex it is possible 

while point layer is active (selected in TOC)

then welcome to bug...

I attach a screenshot (but I'm not sure it is helpful) and data subset

#4 - 2018-10-03 05:58 PM - Antonio Viscomi

- File Edit_point_polygon.jpg added

Antonio Viscomi wrote:

Giovanni Manghi wrote:

I cannot replicate but also I'm not really sure HOW replicate.

A project+data would really help, also a screencast would really help too.

I try to explain how to replicate:

-load a poin layer and a polygon layer;

-start editing in both point and polygon layer;

-make point layer active (select it on TOC);

-choose vertex editor on edit toolbar;

-then try to edit polygon vertex (near or around) a point feature... 

if editing on polygon vertex it is possible 

while point layer is active (selected in TOC)

then welcome to bug...

I attach a screenshot (but I'm not sure it is helpful) and data subset

#5 - 2018-10-03 05:58 PM - Giovanni Manghi

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

I cannot replicate but also I'm not really sure HOW replicate.
A project+data would really help, also a screencast would really help too.

I try to explain how to replicate:

-load a poin layer and a polygon layer;

-start editing in both point and polygon layer;

-make point layer active (select it on TOC);

-choose vertex editor on edit toolbar;

-then try to edit polygon vertex (near or around) a point feature... 

if editing on polygon vertex it is possible 

while point layer is active (selected in TOC)

then welcome to bug...

I attach a screenshot (but I'm not sure it is helpful) and data subset

a screenCAST (a video recording of your desktop) would be much more useful (in this case I would say necessary).

#6 - 2018-10-03 06:05 PM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

I cannot replicate but also I'm not really sure HOW replicate.

A project+data would really help, also a screencast would really help too.

I try to explain how to replicate:

-load a poin layer and a polygon layer;

-start editing in both point and polygon layer;

-make point layer active (select it on TOC);

-choose vertex editor on edit toolbar;

-then try to edit polygon vertex (near or around) a point feature... 

if editing on polygon vertex it is possible 

while point layer is active (selected in TOC)

then welcome to bug...

I attach a screenshot (but I'm not sure it is helpful) and data subset

a screenCAST (a video recording of your desktop) would be much more useful (in this case I would say necessary).

#7 - 2018-10-03 06:14 PM - Antonio Viscomi

- File bug_vertex_editor.wmv added

Antonio Viscomi wrote:
Giovanni Manghi wrote:

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

I cannot replicate but also I'm not really sure HOW replicate.

A project+data would really help, also a screencast would really help too.

I try to explain how to replicate:

-load a poin layer and a polygon layer;

-start editing in both point and polygon layer;

-make point layer active (select it on TOC);

-choose vertex editor on edit toolbar;

-then try to edit polygon vertex (near or around) a point feature... 

if editing on polygon vertex it is possible 

while point layer is active (selected in TOC)

then welcome to bug...

I attach a screenshot (but I'm not sure it is helpful) and data subset

a screenCAST (a video recording of your desktop) would be much more useful (in this case I would say necessary).

#8 - 2018-10-03 06:17 PM - Antonio Viscomi

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

I cannot replicate but also I'm not really sure HOW replicate.

A project+data would really help, also a screencast would really help too.

I try to explain how to replicate:

-load a poin layer and a polygon layer;

-start editing in both point and polygon layer;

-make point layer active (select it on TOC);

-choose vertex editor on edit toolbar;

-then try to edit polygon vertex (near or around) a point feature... 

if editing on polygon vertex it is possible 

while point layer is active (selected in TOC)

then welcome to bug...
I attach a screenshot (but I'm not sure it is helpful) and data subset

a screenCAST (a video recording of your desktop) would be much more useful (in this case I would say necessary).

I hope this explain short screencast can explain

many thanks for your patience

best regards

#9 - 2018-10-03 07:58 PM - Giovanni Manghi

I hope this explain short screencast can explain

many thanks for your patience

yes is clearer now. Anyway it seems to me that what you observe may be strictly related to your qgis/project configurations and data. Can you please attach

here a sample project (with sample data) that will enable us to quickly repeat your scenario? Thanks in advance.

#10 - 2018-10-03 09:15 PM - Antonio Viscomi

- File data.7z added

Giovanni Manghi wrote:

I hope this explain short screencast can explain

many thanks for your patience

yes is clearer now. Anyway it seems to me that what you observe may be strictly related to your qgis/project configurations and data. Can you

please attach here a sample project (with sample data) that will enable us to quickly repeat your scenario? Thanks in advance.

in attached file there are both data and project (with a clean user profile)... the bug is still present

#11 - 2018-10-04 10:57 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

- Regression? changed from Yes to No

in attached file there are both data and project (with a clean user profile)... the bug is still present

The fact that with the node tool (now "vertex tool") you can now edit multiple layers at once (if they are in editing mode) seems to be new intended

behavior:

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#vertex-tool
"... while digitizing or editing objects of multiple layers at the same time.".

The delay you see when using the vertex tool is probably caused by the fact that you have the snapping enabled for all layers (see the snapping

configurations in the project you attached), and if the layers are a lot (as is possible to see in the screenshot/cast you attached) then this has obviously a

cost. In fact in the sample project you attached, that has only 2 layers, I can't see any noticeable delay other than the normal one when moving around

vertexes and having snapping enable for both of them.

In your original project try enable snapping for just a couple of layers (or the minimum number you effectively need) and see if the delay improves.

#12 - 2018-10-04 11:37 AM - Antonio Viscomi

- File snapping.png added

Giovanni Manghi wrote:

in attached file there are both data and project (with a clean user profile)... the bug is still present

The fact that with the node tool (now "vertex tool") you can now edit multiple layers at once (if they are in editing mode) seems to be new intended

behavior:

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#vertex-tool

"... while digitizing or editing objects of multiple layers at the same time.".

this (in screenshot) is my snapping setup on the original project

I have choose only a laer to snap

however if I chose a point layer, vertex tool should not be able to edit polygon vertex

The delay you see when using the vertex tool is probably caused by the fact that you have the snapping enabled for all layers (see the snapping

configurations in the project you attached), and if the layers are a lot (as is possible to see in the screenshot/cast you attached) then this has

obviously a cost. In fact in the sample project you attached, that has only 2 layers, I can't see any noticeable delay other than the normal one when

moving around vertexes and having snapping enable for both of them.

In your original project try enable snapping for just a couple of layers (or the minimum number you effectively need) and see if the delay improves.

#13 - 2018-10-04 11:53 AM - Antonio Viscomi

- File settings.png added

Antonio Viscomi wrote:

Giovanni Manghi wrote:

in attached file there are both data and project (with a clean user profile)... the bug is still present

The fact that with the node tool (now "vertex tool") you can now edit multiple layers at once (if they are in editing mode) seems to be new intended

behavior:

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#vertex-tool
"... while digitizing or editing objects of multiple layers at the same time.".

pity that my snapping is disabled

this (in screenshot) is my snapping setup on the original project

I have choose only a laer to snap

however if I chose a point layer, vertex tool should not be able to edit polygon vertex

The delay you see when using the vertex tool is probably caused by the fact that you have the snapping enabled for all layers (see the snapping

configurations in the project you attached), and if the layers are a lot (as is possible to see in the screenshot/cast you attached) then this has

obviously a cost. In fact in the sample project you attached, that has only 2 layers, I can't see any noticeable delay other than the normal one when

moving around vertexes and having snapping enable for both of them.

In your original project try enable snapping for just a couple of layers (or the minimum number you effectively need) and see if the delay improves.

#14 - 2018-10-04 11:55 AM - Giovanni Manghi

pity that my snapping is disabled

that you show in the attached image is the GENERAL (default) configuration. Snapping configurations are/can be re-defined at a project level, and in the

project you attached snapping IS enabled for all layers.

#15 - 2018-10-04 12:02 PM - Antonio Viscomi

Giovanni Manghi wrote:

pity that my snapping is disabled

that you show in the attached image is the GENERAL (default) configuration. Snapping configurations are/can be re-defined at a project level, and in

the project you attached snapping IS enabled for all layers.

only for the project attached... because I have not worked on it... however, let's forget it.. 

it can not depend on the snap if you change polygons vertex with a point editor (is a geometry type question)

#16 - 2018-10-04 12:03 PM - Antonio Viscomi

Antonio Viscomi wrote:

Giovanni Manghi wrote:

pity that my snapping is disabled

that you show in the attached image is the GENERAL (default) configuration. Snapping configurations are/can be re-defined at a project level, and

in the project you attached snapping IS enabled for all layers.

only for the project attached... because I have not worked on it... however, let's forget it.. 
it can not depend on the snap if you change polygons vertex with a point editor (is a geometry type question)

maybe I can not make myself understood

#17 - 2018-10-04 12:06 PM - Giovanni Manghi

it can not depend on the snap if you change polygons vertex with a point editor (is a geometry type question)

have you read the node at the beginning of this paragraph?

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#vertex-tool

the way the node/vertex tool works has changed in QGIS 3, you can now edit geometries on all layers that have editing enabled.

#18 - 2018-10-04 12:07 PM - Giovanni Manghi

maybe I can not make myself understood

no you have. I think you are not understanding what is going on here:

1) node tool: changed behavior in QGIS 3

2) "delay": you have snapping enabled (at a project lavel) on a ton of layers

#19 - 2018-10-04 12:17 PM - Antonio Viscomi

Giovanni Manghi wrote:

maybe I can not make myself understood

no you have. I think you are not understanding what is going on here:

1) node tool: changed behavior in QGIS 3

2) "delay": you have snapping enabled (at a project lavel) on a ton of layers

This is not a phylosophic question 

A vertex editor like this is only a regression 

it's just a waste of time for those doing manual editing 12 hours a day

#20 - 2018-10-04 12:20 PM - Antonio Viscomi

Antonio Viscomi wrote:

Giovanni Manghi wrote:

maybe I can not make myself understood
no you have. I think you are not understanding what is going on here:

1) node tool: changed behavior in QGIS 3

2) "delay": you have snapping enabled (at a project lavel) on a ton of layers

This is not a phylosophic question 

A vertex editor like this is only a regression 

it's just a waste of time for those doing manual editing 12 hours a day

I think that developer should test their 'solutions' actively before attempting a revolution...

#21 - 2018-10-04 12:24 PM - Antonio Viscomi

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

maybe I can not make myself understood

no you have. I think you are not understanding what is going on here:

1) node tool: changed behavior in QGIS 3

2) "delay": you have snapping enabled (at a project lavel) on a ton of layers

This is not a phylosophic question 

A vertex editor like this is only a regression 

it's just a waste of time for those doing manual editing 12 hours a day

I think that developer should test their 'solutions' actively before attempting a revolution...

if something works fine, it is not necessary to replace it

#22 - 2018-10-04 12:32 PM - Antonio Viscomi

- File screen.png added

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

maybe I can not make myself understood

no you have. I think you are not understanding what is going on here:
1) node tool: changed behavior in QGIS 3

2) "delay": you have snapping enabled (at a project lavel) on a ton of layers

This is not a phylosophic question 

A vertex editor like this is only a regression 

it's just a waste of time for those doing manual editing 12 hours a day

I think that developer should test their 'solutions' actively before attempting a revolution...

if something works fine, it is not necessary to replace it

in addition, the only layer on which the snap is active is "intersect_geo_frane1" 

the advanced configuration (of snap) works like this ... 

only the layer with the check has the snap active 

(if you do not want to consider the fact that all the other layers are disabled in the map canvas (see the screenshot))

now I have no more time to report bugs

see you soon

#23 - 2018-10-04 12:35 PM - Giovanni Manghi

if something works fine, it is not necessary to replace it

Important/big changes in QGIS are first proposed in a public way and then discussed at length (also in a public way), and anyone can chime in and give its

opinion.

#24 - 2018-10-04 12:37 PM - Giovanni Manghi

in addition, the only layer on which the snap is active is "intersect_geo_frane1"

in the project you attached the snapping was enabled for ALL layers. As I asked for a sample project that had the same configurations as the problematic

one, then I derived that in your project you had the very same snapping configurations. It is not the case then?

#25 - 2018-10-04 01:05 PM - Giovanni Manghi

This is not a phylosophic question 

A vertex editor like this is only a regression 

it's just a waste of time for those doing manual editing 12 hours a day

you have several meanings to raise your doubts: the suggested one is writing in the official users or developers mailing lists.

#26 - 2018-10-04 01:44 PM - Antonio Viscomi

Giovanni Manghi wrote:
in addition, the only layer on which the snap is active is "intersect_geo_frane1"

in the project you attached the snapping was enabled for ALL layers. As I asked for a sample project that had the same configurations as the

problematic one, then I derived that in your project you had the very same snapping configurations. It is not the case then?

All the options are setting as default options both in mani as in sample project... The only difference is in flag in layer in snap tree and and user profile...

#27 - 2018-10-04 01:56 PM - Antonio Viscomi

*main instead of mani (sorry)

#28 - 2018-10-04 02:23 PM - Giovanni Manghi

All the options are setting as default options both in mani as in sample project... The only difference is in flag in layer in snap tree and and user

profile...

Let's try the other way: if in your project you leave the snapping active ONLY for a couple of layers you still see delays when moving around vertexes? In

your sample project you have defined a snapping distance of 1m, which could be the source of your delays, but this depends on the scale you are using

while editing. Eventually try also tweak the snapping distance.

#29 - 2018-10-04 02:49 PM - Harrissou Santanna

If I may... I can see that the tolerance for point vector is set at 0, meaning no snap. I deduce that your vertex tool can not select the point feature. Then

because the tool can now select features in other layer, you fell on the polygon vertices.

Also I don't understand why you preselect the polygon feature? Note that a selected feature has precedence on deselected ones, though I don't know how

it behaves while not in the same layer.

#30 - 2018-10-04 03:18 PM - Antonio Viscomi

Harrissou Santanna wrote:

If I may... I can see that the tolerance for point vector is set at 0, meaning no snap. I deduce that your vertex tool can not select the point feature.

Then because the tool can now select features in other layer, you fell on the polygon vertices.

Also I don't understand why you preselect the polygon feature? Note that a selected feature has precedence on deselected ones, though I don't

know how it behaves while not in the same layer.

sorry but in TOC I selected point feature not polygon nevertheless polygon vertices are editable...it is nonsense(a humble user who makes a lot of errors

with QGIS 3.2 that he did not do with QGIS 2)

la domanda è: sono punti di vista?

#31 - 2018-10-04 03:30 PM - Antonio Viscomi

Antonio Viscomi wrote:
Harrissou Santanna wrote:

If I may... I can see that the tolerance for point vector is set at 0, meaning no snap. I deduce that your vertex tool can not select the point feature.

Then because the tool can now select features in other layer, you fell on the polygon vertices.

Also I don't understand why you preselect the polygon feature? Note that a selected feature has precedence on deselected ones, though I don't

know how it behaves while not in the same layer.

sorry but in TOC I selected point feature not polygon nevertheless polygon vertices are editable...it is nonsense(a humble user who makes a lot of

errors with QGIS 3.2 that he did not do with QGIS 2)

the question is: are this points of view only?

A edit tool MAY act on only one layer at time

#32 - 2018-10-04 03:31 PM - Antonio Viscomi

Antonio Viscomi wrote:

Harrissou Santanna wrote:

If I may... I can see that the tolerance for point vector is set at 0, meaning no snap. I deduce that your vertex tool can not select the point feature.

Then because the tool can now select features in other layer, you fell on the polygon vertices.

Also I don't understand why you preselect the polygon feature? Note that a selected feature has precedence on deselected ones, though I don't

know how it behaves while not in the same layer.

sorry but in TOC I selected point feature not polygon nevertheless polygon vertices are editable...it is nonsense(a humble user who makes a lot of

errors with QGIS 3.2 that he did not do with QGIS 2)

the question is: are this points of view only?

A edit tool MAY acts on only one layer at a time

#33 - 2018-10-04 03:43 PM - Antonio Viscomi

so I remain of the assumption that this is a gigantic bug as well as being a maddening step backwards

#34 - 2018-10-04 03:46 PM - Giovanni Manghi

Antonio Viscomi wrote:

so I remain of the assumption that this is a gigantic bug as well as being a maddening step backwards

and again I suggest you to raise your doubts in the proper place. Please note that I'm not saying is not a bug (otherwise I would have closed this ticket

already), I'm just saying that from the docs this seems a change made by design.

#35 - 2018-10-04 03:46 PM - Harrissou Santanna
A edit tool MAY act on only one layer at a time

I agree but not all of us did agree. But while I wrote it can act on different layers, I didn't check it today. It has been the case at a moment and I think that

behavior has changed since https://github.com/qgis/QGIS/pull/6998 So in 3.4 you have two different buttons. So if Giovanni is using master, it's probably

normal that he can't reproduce your issue.

sorry but in TOC I selected point feature not polygon nevertheless polygon vertices are editable...

In your case, as I stated above, if point layer tolerance is set to 0, YOU CAN'T CATCH ITS FEATURES, regardless the tool (mis)behavior. So give a

tolerance to point layer, select the point layer and try again, please.

it is nonsense(a humble user who makes a lot of errors with QGIS 3.2 that he did not do with QGIS 2)

not a nonsense; just a different behavior that suited some people at a time and nobody raised (enough?) his voice to modify it. This is why other than lists

of discussion, there's a feature freeze time to test and report issues and unexpected/unwanted behavior.

Thanks for your understanding.

#36 - 2018-10-04 04:02 PM - Antonio Viscomi

I'm not opposed to the changes but if them are there are fine for 'some'users there are also certainly millions of users in the world who are not part of

mailing lists and similar things that are still at 2.14 and that maybe will never migrate to 3.2 even for reasons like this 

(I do not write to argue only to understand) 

since only some people have need of "multilayer editor" why everyone else should suffer for?

we hope that the request https://github.com/qgis/QGIS/pull/6998 is accepted but in the meantime this vision seems to me blind

please excuse me for all

best regards

#37 - 2018-10-04 04:03 PM - Giovanni Manghi

we hope that the request https://github.com/qgis/QGIS/pull/6998 is accepted but in the meantime this vision seems to me blind

is was already merged, so it is already available in QGIS master AKA 3.3 AKA 3.4 in the works.

#38 - 2018-10-04 04:04 PM - Giovanni Manghi

is was already merged, so it is already available in QGIS master AKA 3.3 AKA 3.4 in the works.

at this point where do we stand with this ticket considered that one of your concerns/problem was already fixed?

#39 - 2018-10-04 04:24 PM - Antonio Viscomi
is not only my problem apparently since someone has worked to develop a function that would allow the choice (regardless of snapping or similar crap)

it will not have been a bug but a wrong choice?

have a good time

thanks a lot for attention and patience

#40 - 2018-10-04 09:01 PM - Giovanni Manghi

Antonio Viscomi wrote:

is not only my problem apparently since someone has worked to develop a function that would allow the choice (regardless of snapping or similar

crap)~

snapping is crap? stop trolling please.

it will not have been a bug but a wrong choice?

I already explained you: big changes in QGIS are proposed (they are called QEP) with quite advance and discussed. At some point they usually get

implemented. If you are not interested in participating in this discussions then you get what others will decide. But I don't think is fair nor you have the right

to be unfair with the effort to improve QGIS.

have a good time

thanks a lot for attention and patience

you have not answered to my last question, if you fail to do so this ticket will be closed at some point. So... again: given that in QGIS master (AKA 3.4) there

will be an option that will make the vertex tool work as you expect, where do we stand regarding the other issue (the delay)? Have you tried by enabling

snapping only for the layers you really need to have it active?

#41 - 2018-10-04 09:21 PM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

is not only my problem apparently since someone has worked to develop a function that would allow the choice (regardless of snapping or similar

crap)~

snapping is crap? stop trolling please.

it will not have been a bug but a wrong choice?

I already explained you: big changes in QGIS are proposed (they are called QEP) with quite advance and discussed. At some point they usually get

implemented. If you are not interested in participating in this discussions then you get what others will decide. But I don't think is fair nor you have the

right to be unfair with the effort to improve QGIS.

have a good time

thanks a lot for attention and patience
you have not answered to my last question, if you fail to do so this ticket will be closed at some point. So... again: given that in QGIS master (AKA

3.4) there will be an option that will make the vertex tool work as you expect, where do we stand regarding the other issue (the delay)? Have you

tried by enabling snapping only for the layers you really need to have it active?

Trolling? You're serious? 

The abnormal edit tool still work unlogically on all ton of layers a user load in a view? 

This is trolling on users skin

I tried only to report to you and to all the developers that this choise were fooooool

Please come back if it is possible... Automatic editing is not ever possibile and suitable

However I speak for try to enhance QGIS not for damage it...

I don't I'm a troll or an Idiot...

You can close delete or ban me 

Is democracy

Goodbye

#42 - 2018-10-04 09:23 PM - Antonio Viscomi

Snap is a crap if is like a climb on a mirror

#43 - 2018-10-04 10:11 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Closing because the main subject/issue of this ticket was fixed in master with https://github.com/qgis/QGIS/pull/6998

About the freeze/delay, please open a separate ticket.
